%global pypi_name click
%global commitId bf1a6d4956cbbbfd0a6f4dd6310c8110cf89f7fe

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        8.0.4
Release:        1%{?dist}
Summary:        Composable command line interface toolkit

License:        BSD-3-Clause
URL:            https://github.com/pallets/click.git
Source0:        python-click-bf1a6d4956cbbbfd0a6f4dd6310c8110cf89f7fe.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description \
Click is a Python package for creating beautiful command line interfaces in a\
composable way with as little code as necessary.\
It's the "Command Line Interface Creation Kit". It's highly configurable but\
comes with sensible defaults out of the box.

%description
%{_description}

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary: %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.rst docs/license.rst
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Mar 07 2022 Satoe Imaishi <simaishi@redhat.com> - 8.0.4-1
- Update to 8.0.4, build for python39

* Tue Apr 13 2021 Satoe Imaishi <simaishi@redhat.com> - 7.1.2-3
- Prefix component name with python38

* Thu Apr 08 2021 Satoe Imaishi <simaishi@redhat.com> - 7.1.2-2
- Use python 3.8

* Tue Apr 28 2020 Evgeni Golov 7.1.2-1
- Update to 7.1.2

* Wed Mar 18 2020 Samir Jha 7.1.1-1
- Update to 7.1.1

* Fri Feb 28 2020 Zach Huntington-Meath <zhunting@redhat.com> - 7.0-2
- Bump release to build for el8

* Mon Nov 18 2019 Evgeni Golov - 7.0-1
- Initial package.
